Kreslení VýběrRoviny

From FreeCAD Documentation
Revision as of 19:11, 2 March 2014 by Honza32 (talk | contribs) (Created page with "==Použití== # Stiskněte tlačítko {{KEY|16px VýběrRoviny}}. Pokud tlačítko nevypadá takto, podívejte se na t...")

Kreslení VýběrRoviny

Umístění Menu
Kreslení -> Utility -> Výběr roviny
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Nikdo

Popis

Modul kreslení má pracovní rovinu, která umožňuje specifikovat uživatelskou rovinu ve 3D, na které se bude realizovat následujíci kreslicí příkaz. Pro definování pracovní roviny existuje několik metod:

  • Z vybrané plochy
  • Z aktuálního pohledu
  • Z předvolby: horní, přední nebo boční
  • Žádná, v tomto případě je pracovní rovina automaticky adaptována podle aktuálního pohledu, kde spouštíte příkaz nebo na ploše, pokud začínáte kreslení na existující ploše.

Použití

  1. Stiskněte tlačítko VýběrRoviny. Pokud tlačítko nevypadá takto, podívejte se na tuto poznámku.

Options

  • To set the workplane to an existing face: select a face of an existing object in the 3D view, then press the SelectPlane button
  • Pressing the VIEW button will set the working plane as the view plane, perpendicular to the camera axis and passing through the (0,0,0) origin point.
  • Pressing the NONE will unset any current working plane. The next 2D operations will be view-dependent.
  • You can also specify an offset value, which will set your working plane at a certain distance from the plane you select.

Scripting

Working plane objects can easily be created and manipulated in scripts and macros. You can create your own, and use them independently of the current Draft working plane.

Example:

 import WorkingPlane
 myPlane = WorkingPlane.plane()

You can also access the current Draft working plane:

 import FreeCAD
 draftPlane = FreeCAD.DraftWorkingPlane

The working plane has a complete scripting API on its own, with convenience functions to position it and convert to/from placements.